=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.8.0~),
               gettext,
               jq,
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6crash-dev (>= 6.8.0~),
               libkf6dbusaddons-dev (>= 6.8.0~),
               libkf6filemetadata-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6jobwidgets-dev (>= 6.8.0~),
               libkf6kio-dev (>= 6.8.0~),
               libkf6notifications-dev (>= 6.8.0~),
               libkf6purpose-dev (>= 6.8.0~),
               libkf6runner-dev (>= 6.8.0~),
               libkf6service-dev (>= 6.8.0~),
               libkf6statusnotifieritem-dev (>= 6.8.0~),
               libplasmaactivities-dev (>= 6.5.1~),
               plasma-workspace-dev (>= 4:6.5.1~),
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-browser-integration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: webext-plasma-browser-integration (<< 6.3.2-2~),
Replaces: webext-plasma-browser-integration (<< 6.3.2-2~),
Description: Chromium, Google Chrome, Firefox integration for Plasma (backend)
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.
 .
 This package contains the backend components to make the bridge between the
 browsers and Plasma.

Package: webext-plasma-browser-integration
Architecture: all
Multi-Arch: foreign
Depends: plasma-browser-integration,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: firefox-esr | firefox | chromium,
Description: Chromium, Firefox integration for Plasma (web extension component)
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.
 An extension for Chromium and Firefox which allows rich communication
 between the browser and plasma-browser-integration.
 .
 This package contains the web extension to be loaded by the browsers to
 provide the integration with Plasma.
