=== debian/changelog ===
plasma-browser-integration (6.5.1+p24.04+vstable+git20251029.0938-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 09:38:22 +0000

plasma-browser-integration (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:54:21 +0000
