## plasma-browser-integration 6.5.1+p24.04+vstable+git20251031.1006

=== debian/changelog ===
plasma-browser-integration (6.5.1+p24.04+vstable+git20251031.1006-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:06:33 +0000
