=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
                libkf6runner-dev (>= 6.8.0~),
                libkf6service-dev (>= 6.8.0~),
                libkf6statusnotifieritem-dev (>= 6.8.0~),
-               libplasmaactivities-dev (>= 6.5.3~),
-               plasma-workspace-dev (>= 4:6.5.3~),
+               libplasmaactivities-dev (>= 6.5.4~),
+               plasma-workspace-dev (>= 4:6.5.4~),
                qt6-base-dev (>= 6.6.0+dfsg~),
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/plasma-browser-integration
