## plasma-browser-integration 6.5.4+p24.04+vstable+git20251209.1543

=== debian/changelog ===
plasma-browser-integration (6.5.4+p24.04+vstable+git20251209.1543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 15:43:08 +0000

plasma-browser-integration (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:23:52 +1000

plasma-browser-integration (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:31 +1000

plasma-browser-integration (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:33 +1000
