## plasma-browser-integration 6.5.4+p24.04+vstable+git20251212.0436

=== debian/changelog ===
plasma-browser-integration (6.5.4+p24.04+vstable+git20251212.0436-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 04:36:36 +0000
