## plasma-browser-integration 6.5.4+p24.04+vstable+git20260105.1247

=== debian/changelog ===
plasma-browser-integration (6.5.4+p24.04+vstable+git20260105.1247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:47:04 +0000
