=== debian/changelog ===
plasma-browser-integration (6.5.4+p24.04+vunstable+git20260103.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:24:17 +0000
