## plasma-browser-integration 6.5.5+p24.04+vstable+git20260128.0427

=== debian/changelog ===
plasma-browser-integration (6.5.5+p24.04+vstable+git20260128.0427-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:27:18 +0000

plasma-browser-integration (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:32:58 +1000
