## plasma-browser-integration 6.5.5+p24.04+vstable+git20260130.0936

=== debian/changelog ===
plasma-browser-integration (6.5.5+p24.04+vstable+git20260130.0936-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:36:18 +0000
