=== debian/changelog ===
plasma-browser-integration (6.5.5+p24.04+vunstable+git20260128.2111-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 21:11:56 +0000
